/*-------------------------------------------------------------------------*
 |                                                                         
 |            STATA SUPPLEMENTAL SYNTAX FILE FOR ICPSR 02346
 |        WASHINGTON, DC, METROPOLITAN AREA DRUG STUDY (DC*MADS),
 |                1991: HOMELESS AND TRANSIENT POPULATION
 |
 |
 | This Stata missing value recode program is provided for optional use with
 | the Stata system version of this data file as distributed by ICPSR.
 | The program replaces user-defined numeric missing values (e.g., -9)
 | with generic system missing "."  Note that Stata allows you to specify
 | up to 27 unique missing value codes.  Only variables with user-defined
 | missing values are included in this program.
 |
 | To apply the missing value recodes, users need to first open the
 | Stata data file on their system, apply the missing value recodes if
 | desired, then save a new copy of the data file with the missing values
 | applied.  Users are strongly advised to use a different filename when
 | saving the new file.
 |
 *------------------------------------------------------------------------*/

replace A2 = . if (A2 <= -1 )
replace A3 = . if (A3 <= -1 )
replace A4D = . if (A4D <= -1 )
replace A4W = . if (A4W <= -1 )
replace A4M = . if (A4M <= -1 )
replace A4Y = . if (A4Y <= -1 )
replace A4AD = . if (A4AD <= -1 )
replace A4AW = . if (A4AW <= -1 )
replace A4AM = . if (A4AM <= -1 )
replace A4AY = . if (A4AY <= -1 )
replace A5 = . if (A5 <= -1 )
replace A6A = . if (A6A <= -1 )
replace A9 = . if (A9 <= -1 )
replace A10 = . if (A10 <= -1 )
replace A10A = . if (A10A <= -1 )
replace A11 = . if (A11 <= -1 )
replace A11A = . if (A11A <= -1 )
replace B1 = . if (B1 <= -1 )
replace B1A = . if (B1A <= -1 )
replace B1B = . if (B1B <= -1 )
replace B1C = . if (B1C <= -1 )
replace B2 = . if (B2 <= -1 )
replace B2A = . if (B2A <= -1 )
replace B2B = . if (B2B <= -1 )
replace B2C = . if (B2C <= -1 )
replace B2D = . if (B2D <= -1 )
replace B2E = . if (B2E <= -1 )
replace B3 = . if (B3 <= -1 )
replace B3A = . if (B3A <= -1 )
replace B3B = . if (B3B <= -1 )
replace B3C = . if (B3C <= -1 )
replace B3D = . if (B3D <= -1 )
replace B4 = . if (B4 <= -1 )
replace B4A = . if (B4A <= -1 )
replace B4B = . if (B4B <= -1 )
replace B4C = . if (B4C <= -1 )
replace B5 = . if (B5 <= -1 )
replace B5A = . if (B5A <= -1 )
replace B5B = . if (B5B <= -1 )
replace B5C = . if (B5C <= -1 )
replace B5D = . if (B5D <= -1 )
replace B6 = . if (B6 <= -1 )
replace B6A = . if (B6A <= -1 )
replace B6B = . if (B6B <= -1 )
replace B6C = . if (B6C <= -1 )
replace B6D = . if (B6D <= -1 )
replace B6E1 = . if (B6E1 <= -1 )
replace B6E2 = . if (B6E2 <= -1 )
replace B6E3 = . if (B6E3 <= -1 )
replace B6E4 = . if (B6E4 <= -1 )
replace B6E5 = . if (B6E5 <= -1 )
replace B7 = . if (B7 <= -1 )
replace B7A = . if (B7A <= -1 )
replace B7B = . if (B7B <= -1 )
replace B7C = . if (B7C <= -1 )
replace B8 = . if (B8 <= -1 )
replace B8A = . if (B8A <= -1 )
replace B8B = . if (B8B <= -1 )
replace B8C = . if (B8C <= -1 )
replace B8D1 = . if (B8D1 <= -1 )
replace B8D2 = . if (B8D2 <= -1 )
replace B8D3 = . if (B8D3 <= -1 )
replace B8D4 = . if (B8D4 <= -1 )
replace B8D5 = . if (B8D5 <= -1 )
replace B9 = . if (B9 <= -1 )
replace B9A = . if (B9A <= -1 )
replace B9B = . if (B9B <= -1 )
replace B9C = . if (B9C <= -1 )
replace B10 = . if (B10 <= -1 )
replace B10A = . if (B10A <= -1 )
replace B10B = . if (B10B <= -1 )
replace B10C = . if (B10C <= -1 )
replace B11 = . if (B11 <= -1 )
replace B11A = . if (B11A <= -1 )
replace B11B = . if (B11B <= -1 )
replace B11C = . if (B11C <= -1 )
replace B12_1 = . if (B12_1 <= -1 )
replace B12_2 = . if (B12_2 <= -1 )
replace B12_3 = . if (B12_3 <= -1 )
replace C1_1 = . if (C1_1 <= -1 )
replace C1_2 = . if (C1_2 <= -1 )
replace C1_3 = . if (C1_3 <= -1 )
replace C1_4 = . if (C1_4 <= -1 )
replace C1_5 = . if (C1_5 <= -1 )
replace C1_6 = . if (C1_6 <= -1 )
replace C1_7 = . if (C1_7 <= -1 )
replace C1_8 = . if (C1_8 <= -1 )
replace C1_9 = . if (C1_9 <= -1 )
replace C1_10 = . if (C1_10 <= -1 )
replace C1_11 = . if (C1_11 <= -1 )
replace C1_12 = . if (C1_12 <= -1 )
replace C1_13 = . if (C1_13 <= -1 )
replace C1_14 = . if (C1_14 <= -1 )
replace C1_91 = . if (C1_91 <= -1 )
replace C1_92 = . if (C1_92 <= -1 )
replace C2 = . if (C2 <= -1 )
replace C2A1 = . if (C2A1 <= -1 )
replace C2A2 = . if (C2A2 <= -1 )
replace C2A3 = . if (C2A3 <= -1 )
replace C2A4 = . if (C2A4 <= -1 )
replace C2A5 = . if (C2A5 <= -1 )
replace C2A6 = . if (C2A6 <= -1 )
replace C2A7 = . if (C2A7 <= -1 )
replace C2A8 = . if (C2A8 <= -1 )
replace C2A9 = . if (C2A9 <= -1 )
replace C2A10 = . if (C2A10 <= -1 )
replace C2A11 = . if (C2A11 <= -1 )
replace C2A12 = . if (C2A12 <= -1 )
replace C2A13 = . if (C2A13 <= -1 )
replace C2A14 = . if (C2A14 <= -1 )
replace C2B = . if (C2B <= -1 )
replace C2C = . if (C2C <= -1 )
replace C2D = . if (C2D <= -1 )
replace C2E = . if (C2E <= -1 )
replace C2F = . if (C2F <= -1 )
replace C2G = . if (C2G <= -1 )
replace C2H = . if (C2H <= -1 )
replace C2I = . if (C2I <= -1 )
replace C3_1 = . if (C3_1 <= -1 )
replace C3_2 = . if (C3_2 <= -1 )
replace C3_3 = . if (C3_3 <= -1 )
replace C3_4 = . if (C3_4 <= -1 )
replace C3_5 = . if (C3_5 <= -1 )
replace C3_6 = . if (C3_6 <= -1 )
replace C3A1 = . if (C3A1 <= -1 )
replace C3A2 = . if (C3A2 <= -1 )
replace C3A3 = . if (C3A3 <= -1 )
replace C3A4 = . if (C3A4 <= -1 )
replace C3A5 = . if (C3A5 <= -1 )
replace C3A6 = . if (C3A6 <= -1 )
replace C4A = . if (C4A <= -1 )
replace C4B = . if (C4B <= -1 )
replace C4C = . if (C4C <= -1 )
replace C4D = . if (C4D <= -1 )
replace C4E = . if (C4E <= -1 )
replace C4F = . if (C4F <= -1 )
replace C4G = . if (C4G <= -1 )
replace C4H = . if (C4H <= -1 )
replace C4I = . if (C4I <= -1 )
replace C4J = . if (C4J <= -1 )
replace C4K = . if (C4K <= -1 )
replace C4L = . if (C4L <= -1 )
replace C5_1 = . if (C5_1 <= -1 )
replace C5_2 = . if (C5_2 <= -1 )
replace C5_3 = . if (C5_3 <= -1 )
replace C5_4 = . if (C5_4 <= -1 )
replace C5_5 = . if (C5_5 <= -1 )
replace C5_6 = . if (C5_6 <= -1 )
replace C5_7 = . if (C5_7 <= -1 )
replace C5_8 = . if (C5_8 <= -1 )
replace C5_9 = . if (C5_9 <= -1 )
replace C5_10 = . if (C5_10 <= -1 )
replace C5_11 = . if (C5_11 <= -1 )
replace C5_12 = . if (C5_12 <= -1 )
replace C5_13 = . if (C5_13 <= -1 )
replace C5_14 = . if (C5_14 <= -1 )
replace C5_91 = . if (C5_91 <= -1 )
replace C5_94 = . if (C5_94 <= -1 )
replace C6_1 = . if (C6_1 <= -1 )
replace C6_2 = . if (C6_2 <= -1 )
replace C6_3 = . if (C6_3 <= -1 )
replace C6_4 = . if (C6_4 <= -1 )
replace C6_5 = . if (C6_5 <= -1 )
replace C6_6 = . if (C6_6 <= -1 )
replace C6_7 = . if (C6_7 <= -1 )
replace C6_8 = . if (C6_8 <= -1 )
replace C6_9 = . if (C6_9 <= -1 )
replace C6_10 = . if (C6_10 <= -1 )
replace C6_11 = . if (C6_11 <= -1 )
replace C6_12 = . if (C6_12 <= -1 )
replace C6_13 = . if (C6_13 <= -1 )
replace C6_14 = . if (C6_14 <= -1 )
replace C6_91 = . if (C6_91 <= -1 )
replace C7_1 = . if (C7_1 <= -1 )
replace C7_2 = . if (C7_2 <= -1 )
replace C7_3 = . if (C7_3 <= -1 )
replace C7_4 = . if (C7_4 <= -1 )
replace C7_5 = . if (C7_5 <= -1 )
replace C7_6 = . if (C7_6 <= -1 )
replace C7_7 = . if (C7_7 <= -1 )
replace C7_8 = . if (C7_8 <= -1 )
replace C7_9 = . if (C7_9 <= -1 )
replace C7_10 = . if (C7_10 <= -1 )
replace C7_11 = . if (C7_11 <= -1 )
replace C7_12 = . if (C7_12 <= -1 )
replace C7_13 = . if (C7_13 <= -1 )
replace C7_14 = . if (C7_14 <= -1 )
replace C7_91 = . if (C7_91 <= -1 )
replace C8_93 = . if (C8_93 <= -1 )
replace C8A = . if (C8A <= -1 )
replace C8B = . if (C8B <= -1 )
replace C8C = . if (C8C <= -1 )
replace C8D = . if (C8D <= -1 )
replace C8E = . if (C8E <= -1 )
replace C8F = . if (C8F <= -1 )
replace C8G = . if (C8G <= -1 )
replace C8H = . if (C8H <= -1 )
replace C8I = . if (C8I <= -1 )
replace C9_93 = . if (C9_93 <= -1 )
replace C9A = . if (C9A <= -1 )
replace C9B = . if (C9B <= -1 )
replace C9C = . if (C9C <= -1 )
replace C9D = . if (C9D <= -1 )
replace C9E = . if (C9E <= -1 )
replace C9F = . if (C9F <= -1 )
replace D1 = . if (D1 <= -1 )
replace D1A = . if (D1A <= -1 )
replace D1B1 = . if (D1B1 <= -1 )
replace D1B2 = . if (D1B2 <= -1 )
replace D1B3 = . if (D1B3 <= -1 )
replace D1B4 = . if (D1B4 <= -1 )
replace D1B5 = . if (D1B5 <= -1 )
replace D1B6 = . if (D1B6 <= -1 )
replace D1B7 = . if (D1B7 <= -1 )
replace D1B8 = . if (D1B8 <= -1 )
replace D1B9 = . if (D1B9 <= -1 )
replace D1B10 = . if (D1B10 <= -1 )
replace D1B11 = . if (D1B11 <= -1 )
replace D1B12 = . if (D1B12 <= -1 )
replace D1B13 = . if (D1B13 <= -1 )
replace D1B14 = . if (D1B14 <= -1 )
replace D1C1 = . if (D1C1 <= -1 )
replace D1C2 = . if (D1C2 <= -1 )
replace D1C3 = . if (D1C3 <= -1 )
replace D1C4 = . if (D1C4 <= -1 )
replace D1C5 = . if (D1C5 <= -1 )
replace D1C6 = . if (D1C6 <= -1 )
replace D1C7 = . if (D1C7 <= -1 )
replace D1C8 = . if (D1C8 <= -1 )
replace D1C9 = . if (D1C9 <= -1 )
replace D1C10 = . if (D1C10 <= -1 )
replace D1C11 = . if (D1C11 <= -1 )
replace D1C12 = . if (D1C12 <= -1 )
replace D1C13 = . if (D1C13 <= -1 )
replace D1C14 = . if (D1C14 <= -1 )
replace D1C15 = . if (D1C15 <= -1 )
replace D1C16 = . if (D1C16 <= -1 )
replace D1C17 = . if (D1C17 <= -1 )
replace D1C18 = . if (D1C18 <= -1 )
replace D1C19 = . if (D1C19 <= -1 )
replace D1D = . if (D1D <= -1 )
replace D1E = . if (D1E <= -1 )
replace D1F = . if (D1F <= -1 )
replace E1A = . if (E1A <= -1 )
replace E1B = . if (E1B <= -1 )
replace E1C = . if (E1C <= -1 )
replace E1D = . if (E1D <= -1 )
replace E1E = . if (E1E <= -1 )
replace E2 = . if (E2 <= -1 )
replace E3 = . if (E3 <= -1 )
replace E4A = . if (E4A <= -1 )
replace E4B = . if (E4B <= -1 )
replace E5A = . if (E5A <= -1 )
replace E5B = . if (E5B <= -1 )
replace E6A = . if (E6A <= -1 )
replace E6B = . if (E6B <= -1 )
replace E7A = . if (E7A <= -1 )
replace E7B = . if (E7B <= -1 )
replace F1A = . if (F1A <= -1 )
replace F1B = . if (F1B <= -1 )
replace F1C = . if (F1C <= -1 )
replace F1D = . if (F1D <= -1 )
replace F2A = . if (F2A <= -1 )
replace F2B = . if (F2B <= -1 )
replace F2C = . if (F2C <= -1 )
replace F2D = . if (F2D <= -1 )
replace F2E = . if (F2E <= -1 )
replace F2F = . if (F2F <= -1 )
replace F3 = . if (F3 <= -1 )
replace F3A_A = . if (F3A_A <= -1 )
replace F3A_B = . if (F3A_B <= -1 )
replace F3A_C = . if (F3A_C <= -1 )
replace F4 = . if (F4 <= -1 )
replace F4A = . if (F4A <= -1 )
replace F4B = . if (F4B <= -1 )
replace F4C = . if (F4C <= -1 )
replace F4D = . if (F4D <= -1 )
replace F4D1 = . if (F4D1 <= -1 )
replace F4E1 = . if (F4E1 <= -1 )
replace F4D2 = . if (F4D2 <= -1 )
replace F4E2 = . if (F4E2 <= -1 )
replace F4D3 = . if (F4D3 <= -1 )
replace F4E3 = . if (F4E3 <= -1 )
replace F4D4 = . if (F4D4 <= -1 )
replace F4E4 = . if (F4E4 <= -1 )
replace F4D5 = . if (F4D5 <= -1 )
replace F4E5 = . if (F4E5 <= -1 )
replace F4D6 = . if (F4D6 <= -1 )
replace F4E6 = . if (F4E6 <= -1 )
replace F4D7 = . if (F4D7 <= -1 )
replace F4E7 = . if (F4E7 <= -1 )
replace F4D8 = . if (F4D8 <= -1 )
replace F4E8 = . if (F4E8 <= -1 )
replace F4D9 = . if (F4D9 <= -1 )
replace F4E9 = . if (F4E9 <= -1 )
replace F4D10 = . if (F4D10 <= -1 )
replace F4E10 = . if (F4E10 <= -1 )
replace F4D11 = . if (F4D11 <= -1 )
replace F4E11 = . if (F4E11 <= -1 )
replace F5 = . if (F5 <= -1 )
replace F5A1 = . if (F5A1 <= -1 )
replace F5A2 = . if (F5A2 <= -1 )
replace F5A3 = . if (F5A3 <= -1 )
replace F5A4 = . if (F5A4 <= -1 )
replace F5A5 = . if (F5A5 <= -1 )
replace F5B = . if (F5B <= -1 )
replace F5C1 = . if (F5C1 <= -1 )
replace F5C2 = . if (F5C2 <= -1 )
replace F5C3 = . if (F5C3 <= -1 )
replace F5C4 = . if (F5C4 <= -1 )
replace F5C5 = . if (F5C5 <= -1 )
replace F5C5SP = . if (F5C5SP <= -1 )
replace F5D = . if (F5D <= -1 )
replace F6 = . if (F6 <= -1 )
replace F6A = . if (F6A <= -1 )
replace F6B = . if (F6B <= -1 )
replace F6C = . if (F6C <= -1 )
replace F7 = . if (F7 <= -1 )
replace F7A = . if (F7A <= -1 )
replace F7B = . if (F7B <= -1 )
replace F7C1 = . if (F7C1 <= -1 )
replace F7C2 = . if (F7C2 <= -1 )
replace F7C3 = . if (F7C3 <= -1 )
replace F8 = . if (F8 <= -1 )
replace F8A = . if (F8A <= -1 )
replace G1A = . if (G1A <= -1 )
replace G1B = . if (G1B <= -1 )
replace G2A = . if (G2A <= -1 )
replace G2B = . if (G2B <= -1 )
replace G3A = . if (G3A <= -1 )
replace G3B = . if (G3B <= -1 )
replace G4A = . if (G4A <= -1 )
replace G4B = . if (G4B <= -1 )
replace G5A = . if (G5A <= -1 )
replace G5B = . if (G5B <= -1 )
replace G6A = . if (G6A <= -1 )
replace G6B = . if (G6B <= -1 )
replace G7A = . if (G7A <= -1 )
replace G7B = . if (G7B <= -1 )
replace G8A = . if (G8A <= -1 )
replace G8B = . if (G8B <= -1 )
replace G9A = . if (G9A <= -1 )
replace G9B = . if (G9B <= -1 )
replace G10 = . if (G10 <= -1 )
replace G10A = . if (G10A <= -1 )
replace G10B = . if (G10B <= -1 )
replace G11 = . if (G11 <= -1 )
replace G11A = . if (G11A <= -1 )
replace G11B = . if (G11B <= -1 )
replace G12 = . if (G12 <= -1 )
replace G12A1 = . if (G12A1 <= -1 )
replace G12A2 = . if (G12A2 <= -1 )
replace G12A3 = . if (G12A3 <= -1 )
replace G12A4 = . if (G12A4 <= -1 )
replace G12A5 = . if (G12A5 <= -1 )
replace G12A6 = . if (G12A6 <= -1 )
replace G12A7 = . if (G12A7 <= -1 )
replace G12A8 = . if (G12A8 <= -1 )
replace G12A9 = . if (G12A9 <= -1 )
replace G12A10 = . if (G12A10 <= -1 )
replace G12A11 = . if (G12A11 <= -1 )
replace G12A12 = . if (G12A12 <= -1 )
replace G12A13 = . if (G12A13 <= -1 )
replace G12A14 = . if (G12A14 <= -1 )
replace G12A15 = . if (G12A15 <= -1 )
replace G12A16 = . if (G12A16 <= -1 )
replace G12A17 = . if (G12A17 <= -1 )
replace G12A18 = . if (G12A18 <= -1 )
replace G12A19 = . if (G12A19 <= -1 )
replace G12A20 = . if (G12A20 <= -1 )
replace G12A21 = . if (G12A21 <= -1 )
replace G12A22 = . if (G12A22 <= -1 )
replace G12A23 = . if (G12A23 <= -1 )
replace G12A24 = . if (G12A24 <= -1 )
replace G12A25 = . if (G12A25 <= -1 )
replace G12A26 = . if (G12A26 <= -1 )
replace G12A27 = . if (G12A27 <= -1 )
replace G12A28 = . if (G12A28 <= -1 )
replace G12A29 = . if (G12A29 <= -1 )
replace G12A29S = . if (G12A29S <= -1 )
replace H1MON = . if (H1MON <= -1 )
replace H1YR = . if (H1YR <= -1 )
replace H1N = . if (H1N <= -1 )
replace H1B = . if (H1B <= -1 )
replace H1C = . if (H1C <= -1 )
replace H1D = . if (H1D <= -1 )
replace H2 = . if (H2 <= -1 )
replace H3A = . if (H3A <= -1 )
replace H3B = . if (H3B <= -1 )
replace H4A = . if (H4A <= -1 )
replace H4B = . if (H4B <= -1 )
replace H5A = . if (H5A <= -1 )
replace H5B = . if (H5B <= -1 )
replace H6A = . if (H6A <= -1 )
replace H6B = . if (H6B <= -1 )
replace H7A = . if (H7A <= -1 )
replace H7B = . if (H7B <= -1 )
replace H8A = . if (H8A <= -1 )
replace H8B = . if (H8B <= -1 )
replace H9A = . if (H9A <= -1 )
replace H9B = . if (H9B <= -1 )
replace H10A = . if (H10A <= -1 )
replace H10B = . if (H10B <= -1 )
replace H11A = . if (H11A <= -1 )
replace H11B = . if (H11B <= -1 )
replace H12A = . if (H12A <= -1 )
replace H12B = . if (H12B <= -1 )
replace H13A = . if (H13A <= -1 )
replace H13B = . if (H13B <= -1 )
replace H14A = . if (H14A <= -1 )
replace H14B = . if (H14B <= -1 )
replace H14A_A = . if (H14A_A <= -1 )
replace H14A_B = . if (H14A_B <= -1 )
replace H14A_C = . if (H14A_C <= -1 )
replace H15A = . if (H15A <= -1 )
replace H15B = . if (H15B <= -1 )
replace H15C = . if (H15C <= -1 )
replace H15D = . if (H15D <= -1 )
replace H15E = . if (H15E <= -1 )
replace H16A = . if (H16A <= -1 )
replace H16B = . if (H16B <= -1 )
replace H16C = . if (H16C <= -1 )
replace H16D = . if (H16D <= -1 )
replace H16E = . if (H16E <= -1 )
replace H16E_A = . if (H16E_A <= -1 )
replace H16E_AA = . if (H16E_AA <= -1 )
replace H16E_B = . if (H16E_B <= -1 )
replace H16E_BB = . if (H16E_BB <= -1 )
replace I1A = . if (I1A <= -1 )
replace I1BM = . if (I1BM <= -1 )
replace I1BW = . if (I1BW <= -1 )
replace I2A = . if (I2A <= -1 )
replace I2BM = . if (I2BM <= -1 )
replace I2BW = . if (I2BW <= -1 )
replace I3A = . if (I3A <= -1 )
replace I3BM = . if (I3BM <= -1 )
replace I3BW = . if (I3BW <= -1 )
replace I4A = . if (I4A <= -1 )
replace I4BM = . if (I4BM <= -1 )
replace I4BW = . if (I4BW <= -1 )
replace I5A = . if (I5A <= -1 )
replace I5BM = . if (I5BM <= -1 )
replace I5BW = . if (I5BW <= -1 )
replace I6A = . if (I6A <= -1 )
replace I6BM = . if (I6BM <= -1 )
replace I6BW = . if (I6BW <= -1 )
replace I7A = . if (I7A <= -1 )
replace I7BM = . if (I7BM <= -1 )
replace I7BW = . if (I7BW <= -1 )
replace I8A = . if (I8A <= -1 )
replace I8BM = . if (I8BM <= -1 )
replace I8BW = . if (I8BW <= -1 )
replace I9A = . if (I9A <= -1 )
replace I9BM = . if (I9BM <= -1 )
replace I9BW = . if (I9BW <= -1 )
replace I9AA = . if (I9AA <= -1 )
replace I9AB = . if (I9AB <= -1 )
replace I9AC = . if (I9AC <= -1 )
replace I10 = . if (I10 <= -1 )
replace J1 = . if (J1 <= -1 )
replace AGE = . if (AGE <= -1 )
replace J2A = . if (J2A <= -1 )
replace J5 = . if (J5 <= -1 )
replace J5A = . if (J5A <= -1 )
replace J8_0 = . if (J8_0 <= -1 )
replace J8_1 = . if (J8_1 <= -1 )
replace J8_2 = . if (J8_2 <= -1 )
replace J8_3 = . if (J8_3 <= -1 )
replace J8_4 = . if (J8_4 <= -1 )
replace J8_5 = . if (J8_5 <= -1 )
replace J8_6 = . if (J8_6 <= -1 )
replace J8_7 = . if (J8_7 <= -1 )
replace J8_8 = . if (J8_8 <= -1 )
replace J8_9 = . if (J8_9 <= -1 )
replace J9 = . if (J9 <= -1 )
replace J9AY = . if (J9AY <= -1 )
replace J9AM = . if (J9AM <= -1 )
replace J10 = . if (J10 <= -1 )
replace J11 = . if (J11 <= -1 )
replace J12 = . if (J12 <= -1 )
replace K1 = . if (K1 <= -1 )
replace AW_A = . if (AW_A <= -1.0000 )
replace AWGAMA_A = . if (AWGAMA_A <= -1.0000 )
replace VESTR = . if (VESTR <= -1 )
replace VEREP = . if (VEREP <= -1 )
replace ADMFLAG = . if (ADMFLAG == 9)
replace ALCFLAG = . if (ALCFLAG == 9)
replace ALCMON = . if (ALCMON == 9)
replace ALCUIS = . if (ALCUIS <= -1.00 )
replace ALCUSE = . if (ALCUSE == 9)
replace ALCUSEHV = . if (ALCUSEHV == 9)
replace ALCYR = . if (ALCYR == 9)
replace ALPRSM_C = . if (ALPRSM_C == 9)
replace ALPRSUM = . if (ALPRSUM <= -1 )
replace ANYAGE = . if (ANYAGE <= -1 )
replace ANYAGE21 = . if (ANYAGE21 == 9)
replace ANYFLAG = . if (ANYFLAG == 9)
replace ANYLA = . if (ANYLA == 9)
replace ANYLOSS = . if (ANYLOSS == 9)
replace ANYMON = . if (ANYMON == 9)
replace ANYTCD = . if (ANYTCD == 9)
replace ANYUSE = . if (ANYUSE == 9)
replace ANYUWA = . if (ANYUWA == 9)
replace ANYWS = . if (ANYWS == 9)
replace ANYYR = . if (ANYYR == 9)
replace ARRFLAG = . if (ARRFLAG == 9)
replace B2C_A = . if (B2C_A <= -1 )
replace B2C_AC = . if (B2C_AC == 9)
replace B2E_A = . if (B2E_A <= -1 )
replace B2E_AC = . if (B2E_AC == 9)
replace B3C_A = . if (B3C_A <= -1 )
replace B3C_AC = . if (B3C_AC == 9)
replace B5C_A = . if (B5C_A <= -1 )
replace B5C_AC = . if (B5C_AC == 9)
replace B6C_A = . if (B6C_A <= -1 )
replace B6C_AC = . if (B6C_AC == 9)
replace B8C_A = . if (B8C_A <= -1 )
replace B8C_AC = . if (B8C_AC == 9)
replace BD_AGE_E = . if (BD_AGE_E <= -1 )
replace C3A1_C = . if (C3A1_C == 9)
replace C3A2_C = . if (C3A2_C == 9)
replace C3A3_C = . if (C3A3_C == 9)
replace C3A4_C = . if (C3A4_C == 9)
replace C3A5_C = . if (C3A5_C == 9)
replace C3A6_C = . if (C3A6_C == 9)
replace C3_1_C = . if (C3_1_C == 9)
replace C3_2_C = . if (C3_2_C == 9)
replace C3_3_C = . if (C3_3_C == 9)
replace C3_4_C = . if (C3_4_C == 9)
replace C3_5_C = . if (C3_5_C == 9)
replace C3_6_C = . if (C3_6_C == 9)
replace CATAGE = . if (CATAGE == 9)
replace CATAGE1C = . if (CATAGE1C == 9)
replace CIGFLAG = . if (CIGFLAG == 9)
replace CIGMON = . if (CIGMON == 9)
replace CIGYR = . if (CIGYR == 9)
replace CJDFLAG = . if (CJDFLAG == 9)
replace CJDYR = . if (CJDYR == 9)
replace CLEANWYR = . if (CLEANWYR == 9)
replace COCFLAG = . if (COCFLAG == 9)
replace COCMON = . if (COCMON == 9)
replace COCYR = . if (COCYR == 9)
replace COMFLAG = . if (COMFLAG == 9)
replace COOFLAG = . if (COOFLAG == 9)
replace COOMON = . if (COOMON == 9)
replace COOUIS = . if (COOUIS <= -1.00 )
replace COOYR = . if (COOYR == 9)
replace COUNSANY = . if (COUNSANY == 9)
replace COUNSMON = . if (COUNSMON == 9)
replace COUNSYR = . if (COUNSYR == 9)
replace CRIFLAG = . if (CRIFLAG == 9)
replace CRKFLAG = . if (CRKFLAG == 9)
replace CRKMON = . if (CRKMON == 9)
replace CRKUIS = . if (CRKUIS <= -1.00 )
replace CRKYR = . if (CRKYR == 9)
replace D1F_C = . if (D1F_C == 9)
replace D1_C = . if (D1_C == 9)
replace DAYSTAT = . if (DAYSTAT <= -1 )
replace DPRSUM = . if (DPRSUM == 9)
replace DPRSUM_C = . if (DPRSUM_C == 9)
replace DRUGFRST = . if (DRUGFRST == 9)
replace EDUCAT1C = . if (EDUCAT1C == 9)
replace EDUCCAT = . if (EDUCCAT == 9)
replace ELSEANY = . if (ELSEANY == 9)
replace ELSEGRP = . if (ELSEGRP == 9)
replace EMPL_MON = . if (EMPL_MON == 9)
replace EMPSTAT = . if (EMPSTAT == 9)
replace EMPYRF = . if (EMPYRF == 9)
replace EXPALL = . if (EXPALL <= -1 )
replace EXPILL = . if (EXPILL <= -1 )
replace EXPLEG = . if (EXPLEG <= -1 )
replace F7A_MON = . if (F7A_MON == 9)
replace F7A_YR = . if (F7A_YR == 9)
replace F8B_C = . if (F8B_C == 9)
replace F8_MON = . if (F8_MON == 9)
replace F8_YR = . if (F8_YR == 9)
replace GNDLOTHR = . if (GNDLOTHR == 9)
replace GRQFLAG = . if (GRQFLAG == 9)
replace GRQYR = . if (GRQYR == 9)
replace H1C_C = . if (H1C_C == 9)
replace H1N_C = . if (H1N_C == 9)
replace H2_C = . if (H2_C == 9)
replace HALFLAG = . if (HALFLAG == 9)
replace HALMON = . if (HALMON == 9)
replace HALUIS = . if (HALUIS <= -1.00 )
replace HALYR = . if (HALYR == 9)
replace HERFLAG = . if (HERFLAG == 9)
replace HERMON = . if (HERMON == 9)
replace HERUIS = . if (HERUIS <= -1.00 )
replace HERYR = . if (HERYR == 9)
replace HMLFLAG = . if (HMLFLAG == 9)
replace HMLYR = . if (HMLYR == 9)
replace HOMAGE = . if (HOMAGE == 9)
replace HOMDAYS = . if (HOMDAYS <= -1 )
replace HOMFLAG = . if (HOMFLAG == 9)
replace HOMLAST = . if (HOMLAST <= -1 )
replace HOMLGTH = . if (HOMLGTH == 9)
replace HOMTMS = . if (HOMTMS == 9)
replace HOUFLAG = . if (HOUFLAG == 9)
replace HOUYR = . if (HOUYR == 9)
replace HRS_MON = . if (HRS_MON == 9)
replace HVYDRK = . if (HVYDRK == 9)
replace HVYMON = . if (HVYMON == 9)
replace HVYUIS = . if (HVYUIS <= -1.00 )
replace IEMCRKYR = . if (IEMCRKYR == 9)
replace IEMFLAG = . if (IEMFLAG == 9)
replace IEMMON = . if (IEMMON == 9)
replace IEMYR = . if (IEMYR == 9)
replace INCALL = . if (INCALL <= -1 )
replace INCEB = . if (INCEB <= -1 )
replace INCERN = . if (INCERN <= -1 )
replace INCFLAG = . if (INCFLAG == 9)
replace INCILL = . if (INCILL <= -1 )
replace INCLEG = . if (INCLEG <= -1 )
replace INCOEN = . if (INCOEN <= -1 )
replace INCOTH = . if (INCOTH <= -1 )
replace INCYR = . if (INCYR == 9)
replace INHFLAG = . if (INHFLAG == 9)
replace INHMON = . if (INHMON == 9)
replace INHUIS = . if (INHUIS <= -1.00 )
replace INHYR = . if (INHYR == 9)
replace INJCOC = . if (INJCOC == 9)
replace INJHER = . if (INJHER == 9)
replace INJPSY = . if (INJPSY == 9)
replace INSANY = . if (INSANY == 9)
replace INSFLAG = . if (INSFLAG == 9)
replace INSPRI = . if (INSPRI == 9)
replace INSPRTX = . if (INSPRTX == 9)
replace INSPUB = . if (INSPUB == 9)
replace INSPUTX = . if (INSPUTX == 9)
replace INSYR = . if (INSYR == 9)
replace LOCATION = . if (LOCATION == 9)
replace LOCLTS1 = . if (LOCLTS1 == 9)
replace LOCPCE1 = . if (LOCPCE1 == 9)
replace LOCPN1 = . if (LOCPN1 == 9)
replace MARSTAT = . if (MARSTAT == 9)
replace MCKANY = . if (MCKANY == 9)
replace MCKFAM = . if (MCKFAM == 9)
replace MCKILL = . if (MCKILL == 9)
replace MCKUN = . if (MCKUN <= -1 )
replace MCKVET = . if (MCKVET == 9)
replace MCKYOU = . if (MCKYOU == 9)
replace METFLAG = . if (METFLAG == 9)
replace METMON = . if (METMON == 9)
replace METUIS = . if (METUIS <= -1.00 )
replace METYR = . if (METYR == 9)
replace MHSM30_C = . if (MHSM30_C == 9)
replace MHSUM = . if (MHSUM == -8)
replace MHSUM30 = . if (MHSUM30 == -8)
replace MHSUM_C = . if (MHSUM_C == 9)
replace MHTX30 = . if (MHTX30 == 9)
replace MHTXFL = . if (MHTXFL == 9)
replace MRJFLAG = . if (MRJFLAG == 9)
replace MRJMON = . if (MRJMON == 9)
replace MRJUIS = . if (MRJUIS <= -1.00 )
replace MRJYR = . if (MRJYR == 9)
replace NDLFLAG = . if (NDLFLAG == 9)
replace NDLMON = . if (NDLMON == 9)
replace NDLYR = . if (NDLYR == 9)
replace NETALL = . if (NETALL == -8888)
replace NETERN = . if (NETERN == -8888)
replace NETILL = . if (NETILL == -8888)
replace NETLEG = . if (NETLEG == -8888)
replace NPSNDLYR = . if (NPSNDLYR == 9)
replace OINYR = . if (OINYR == 9)
replace OTHRLA = . if (OTHRLA == 9)
replace OTHRTCD = . if (OTHRTCD == 9)
replace OTHRUWA = . if (OTHRUWA == 9)
replace OTHRWS = . if (OTHRWS == 9)
replace OWNANY = . if (OWNANY == 9)
replace OWNGRP = . if (OWNGRP == 9)
replace PATFLAG = . if (PATFLAG <= -1 )
replace PATFLAG3 = . if (PATFLAG3 == 9)
replace PATMON = . if (PATMON <= -1 )
replace PATMON3 = . if (PATMON3 == 9)
replace PATYR = . if (PATYR <= -1 )
replace PATYR3 = . if (PATYR3 == 9)
replace PCPDRG = . if (PCPDRG == 9)
replace PCPILL = . if (PCPILL == 9)
replace PCPSUM = . if (PCPSUM == -8)
replace PCPSUM_C = . if (PCPSUM_C == 9)
replace POVIG = . if (POVIG <= -1 )
replace POVIND_C = . if (POVIND_C == 9)
replace POVNP = . if (POVNP == -8)
replace PRGFLAG = . if (PRGFLAG <= -1 )
replace PRGYR = . if (PRGYR <= -1 )
replace PSYFLAG = . if (PSYFLAG == 9)
replace PSYMON = . if (PSYMON == 9)
replace PSYYR = . if (PSYYR == 9)
replace RACE = . if (RACE == 9)
replace SDFLAG = . if (SDFLAG <= -1 )
replace SERDAY = . if (SERDAY == 9)
replace SERFLAG = . if (SERFLAG == 9)
replace SERMON = . if (SERMON == 9)
replace SHOOTGYR = . if (SHOOTGYR == 9)
replace SKMEAL = . if (SKMEAL == 9)
replace SKSIT = . if (SKSIT == 9)
replace STAFLAG = . if (STAFLAG == 9)
replace STAMON = . if (STAMON == 9)
replace STAUIS = . if (STAUIS <= -1.00 )
replace STAYR = . if (STAYR == 9)
replace STMFLAG = . if (STMFLAG == 9)
replace STMMON = . if (STMMON == 9)
replace STMUIS = . if (STMUIS <= -1.00 )
replace STMYR = . if (STMYR == 9)
replace TXFLAG = . if (TXFLAG == 9)
replace TXYR = . if (TXYR == 9)
replace UOLDNDL = . if (UOLDNDL == 9)
replace WKCOR = . if (WKCOR <= -1 )
replace WKELSE = . if (WKELSE <= -1 )
replace WKGQ = . if (WKGQ <= -1 )
replace WKHOU = . if (WKHOU <= -1 )
replace WKNUR = . if (WKNUR <= -1 )
replace WKOS = . if (WKOS <= -1 )
replace WKSH = . if (WKSH <= -1 )
replace WKST = . if (WKST <= -1 )
replace WKSUM = . if (WKSUM <= -1 )
replace WKTXF = . if (WKTXF <= -1 )
replace ZDURAT = . if (ZDURAT <= -1 )
replace H1A_C = . if (H1A_C <= -1 )
replace POVIND = . if (POVIND <= -1.0000 )


